﻿Option Strict On
' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        Dim no As Integer = 0
        Dim xmldoc As XElement = XElement.Load("photo_etc.xml")

        For Each result In From c In xmldoc.Descendants("情報") Select c
            Dim myImage As New Image

            With myImage
                .Width = 640
                .Height = 480
                .Source = New BitmapImage(New Uri("ms-appx:///Images/" & result.Element("画像名").Value, UriKind.Absolute))
                .RenderTransform = New CompositeTransform
                .ManipulationMode = ManipulationModes.All
            End With

            ShowArea.Children.Add(myImage)

            AddHandler myImage.ManipulationDelta, Sub(mySender As Object, myArgs As Input.ManipulationDeltaRoutedEventArgs)
                                                      Dim myTrans = DirectCast(myImage.RenderTransform, CompositeTransform)

                                                      myTrans.TranslateX = myTrans.TranslateX + myArgs.Delta.Translation.X
                                                      myTrans.TranslateY = myTrans.TranslateY + myArgs.Delta.Translation.Y

                                                      myTrans.ScaleX = myTrans.ScaleX * myArgs.Delta.Scale
                                                      myTrans.ScaleY = myTrans.ScaleY * myArgs.Delta.Scale

                                                      myTrans.CenterX = 320
                                                      myTrans.CenterY = 240
                                                      myTrans.Rotation = myTrans.Rotation + myArgs.Delta.Rotation
                                                      myImage.SetValue(Canvas.ZIndexProperty, no)
                                                      no += 1

                                                  End Sub
        Next
    End Sub

End Class
